idea - closed

Pioneer
Pioneer

there is a possibility to write a macro which can fit a model in isometric view, when i push a close button ?

1 REPLY

Re: idea - closed

Solution Partner Phenom Solution Partner Phenom
Solution Partner Phenom

This can be accomplished with an addin. The SolidEdgeFramework.ISEApplicationEvents has a BeforeDocumentClose event that you can use to perform a fit and set the view you want. Samples for Solid Edge on CodePlex has example addins.

 

You can fit a 3D window by Application -> ActiveWindow -> View.Fit().

You can set the view by using Application.StartCommand(). Depending on the environment, you'll need to use a different enum. For example, if you're in the part environment you would use SolidEdgeConstants.PartCommandConstants.PartViewISOView. You can use the event monitor feature of Spy for Solid Edge to determine which constant is used in each environment.

Jason Newell
Applications Architect
www.jasonnewell.net